Subject: Re: [PATCH net-next v2 3/3] net: ethernet: fec: Allow the MDIO preamble to be disabled

From: Andrew Lunn <[email-masked]>
Date: Sat, 18 Apr 2020 16:27:58 +0200

> This is a property of the MDIO device node and the MDIO bus controller as
> well, so I would assume that it has to be treated a little it like the
> 'broken-turn-around' property and it would have to be a bitmask per MDIO
> device address that is set/clear depending on what the device support. If it
> is set for the device and your controller supports it, then you an suppress
> preamble.

Again, i don't see how this can work. You need all the devices on the
bus to support preamble suppression, otherwise you cannot use it. As
with a maximum clock frequency, we could add the complexity to check
as bus scan time that all devices have the necessary property, but i
don't think it brings anything.

    Andrew